Go to the first, previous, next, last section, table of contents.

## Global options

The available ``cvs_options'` (that are given to the left of ``cvs_command'`) are:

`-b bindir`
  Use bindir as the directory where RCS programs are located. Overrides the setting of the `$RCSBIN` environment variable and any precompiled directory. This parameter should be specified as an absolute pathname.
`-T tempdir`
  Use tempdir as the directory where temporary files are located. Overrides the setting of the `$TMPDIR` environment variable and any precompiled directory. This parameter should be specified as an absolute pathname.
`-d cvs_root_directory`
  Use cvs_root_directory as the root directory pathname of the repository. Overrides the setting of the `$CVSROOT` environment variable. See section The Repository.
`-e editor`
  Use editor to enter revision log information. Overrides the setting of the `$CVSEDITOR` and `$EDITOR` environment variables.
`-f`
  Do not read the ``~/.cvsrc'` file. This option is most often used because of the non-orthogonality of the CVS option set. For example, the ``cvs log'` option ``-N'` (turn off display of tag names) does not have a corresponding option to turn the display on. So if you have ``-N'` in the ``~/.cvsrc'` entry for ``log'`, you may need to use ``-f'` to show the tag names.
`-H`
  Display usage information about the specified ``cvs_command'` (but do not actually execute the command). If you don't specify a command name, ``cvs -H'` displays a summary of all the commands available.
`-l`
  Do not log the cvs_command in the command history (but execute it anyway). See section history--Show status of files and users, for information on command history.
`-n`
  Do not change any files. Attempt to execute the ``cvs_command'`, but only to issue reports; do not remove, update, or merge any existing files, or create any new files.
`-Q`
  Cause the command to be really quiet; the command will only generate output for serious problems.
`-q`
  Cause the command to be somewhat quiet; informational messages, such as reports of recursion through subdirectories, are suppressed.
`-r`
  Make new working files files read-only. Same effect as if the `$CVSREAD` environment variable is set (see section All environment variables which affect CVS). The default is to make working files writable, unless watches are on (see section Mechanisms to track who is editing files).
`-s variable=value`
  Set a user variable (see section Expansions in administrative files).
`-t`
  Trace program execution; display messages showing the steps of CVS activity. Particularly useful with ``-n'` to explore the potential impact of an unfamiliar command.
`-v`
  Display version and copyright information for CVS.
`-w`
  Make new working files read-write. Overrides the setting of the `$CVSREAD` environment variable. Files are created read-write by default, unless `$CVSREAD` is set or ``-r'` is given.
`-x`
  Encrypt all communication between the client and the server. Only has an effect on the CVS client. As of this writing, this is only implemented when using a Kerberos connection (see section Direct connection with kerberos). Encryption support is not available by default; it must be enabled using a special configure option, ``--enable-encryption'`, when you build CVS.
`-z gzip-level`
  Set the compression level. Only has an effect on the CVS client.

Go to the first, previous, next, last section, table of contents.